> ## Documentation Index
> Fetch the complete documentation index at: https://docs.draftt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a specific policy component by ID



## OpenAPI

````yaml https://api.draftt.io/swagger get /policy/{policyId}/component/{componentId}
openapi: 3.1.0
info:
  title: Draftt API
  version: 0.2.1
servers:
  - url: https://api.draftt.io/v1
security:
  - BearerAuth: []
paths:
  /policy/{policyId}/component/{componentId}:
    get:
      tags:
        - Policy Component
      summary: Retrieve a specific policy component by ID
      parameters:
        - name: policyId
          in: path
          required: true
          schema:
            type: integer
        - name: componentId
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/PolicyComponent'
                    minItems: 1
                    maxItems: 1
                  nextToken:
                    type: string
                    enum:
                      - null
                required:
                  - items
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    PolicyComponent:
      type: object
      properties:
        id:
          type: number
        componentId:
          type: number
        integrationId:
          type: number
        technology:
          type: string
        type:
          type: string
        typeDisplayName:
          type: string
        name:
          type: string
        uniqueIdentifier:
          type: string
        urgency:
          type: number
        priority:
          type: number
        isCompliant:
          type: boolean
        currentVersion:
          type: string
        requiredVersion:
          type: string
        recommendedVersion:
          type: string
        dueDate:
          type: string
        tags:
          $ref: '#/components/schemas/SearchTags'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - componentId
        - integrationId
        - technology
        - type
        - name
        - urgency
        - priority
        - isCompliant
        - currentVersion
        - tags
      example:
        id: 22
        componentId: 3
        integrationId: 6
        technology: rds
        type: rds-postgres
        typeDisplayName: Amazon RDS PostgreSQL
        name: dev-1-rds
        uniqueIdentifier: arn:aws:rds:us-east-1:125422356123:db:dev-1-rds
        urgency: 17.39
        priority: 17.39
        isCompliant: true
        currentVersion: '14.10'
        requiredVersion: '14.11'
        recommendedVersion: '14.11'
        dueDate: '2025-12-22T00:00:00.000Z'
        tags:
          - key: Terraform
            value: 'true'
          - key: Environment
            value: dev-us-east-1
          - key: Name
            value: dev-1-rds
        createdAt: '2024-05-06T11:25:51.513Z'
        updatedAt: '2024-01-06T11:25:51.513Z'
    SearchTags:
      type: array
      items:
        type: object
        properties:
          key:
            type: string
          value:
            type: string
        required:
          - key
          - value
      example:
        - key: Terraform
          value: 'true'
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````